Summary:	2D Quantum Monte Carlo simulator for semiconductor devices
Name:		archimedes
Version:	0.7.0
Release:	1%{?dist}
License:	GPLv3+
Group:		Applications/Internet
URL:		http://www.gnu.org/software/archimedes/
Source0:	ftp://ftp.gnu.org/gnu/archimedes/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	 dos2unix
BuildRequires:	 ghostscript
BuildRequires:	 tetex-latex

%description
Archimedes is a package for the design and simulation of submicron
semiconductor devices. It is a 2D Fast Monte Carlo simulator which can take
into account all the relevant quantum effects, thank to the implementation of
the Bohm effective potential method.

The physics and geometry of a general device is introduced by typing a simple
script, which makes, in this sense, Archimedes a powerful tool for the
simulation of quite general semiconductor devices.

%prep
%setup -q

# Suppress rpmlint error.
dos2unix COPYING

%build
%configure
make %{?_smp_mflags}

# PDF manual
pushd ./doc
  make manual
popd

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS doc/%{name}.dvi doc/%{name}.pdf doc/%{name}.ps
%{_bindir}/%{name}

%changelog
* Sun Oct 07 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.7.0-1
- Initial build.
